Name:           ballz
Version:        1.0.4
Release:        %mkrel 5
Summary:        B.A.L.L.Z. - platform/puzzle game where you control a rolling ball
Group:          Games/Arcade
License:        BSD
URL:            https://gitlab.com/groups/ballz
# Downloaded and repacked from https://gitlab.com/ballz/ballz/tags for a good filename
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  allegro4-devel
BuildRequires:  dumb-devel
BuildRequires:  pkgconfig(guichan-0.8)

%description
B.A.L.L.Z. is a platformer with some puzzle elements. You take control of a ball
which is genetically modified by the British secret service. Your mission is
to rescue captured British soldiers from a prison in Iran.

The game was written in 72 hours for the TINS competition, a competition
similar to Speedhack.

%prep
%autosetup -p1

%build
autoreconf -vfi
export CPPFLAGS="-D_FILE_OFFSET_BITS=64"
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README BSD-license ChangeLog
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/*
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Nov 23 2024 wally <wally> 1.0.4-5.mga10
+ Revision: 2118702
- fix and enable 32bit builds again

* Sat Nov 23 2024 papoteur <papoteur> 1.0.4-4.mga10
+ Revision: 2118698
- withdraw build for 32 bits, dumb not compatible with them
- rebuild for dumb 2.0.3

* Fri Apr 01 2022 umeabot <umeabot> 1.0.4-3.mga9
+ Revision: 1839724
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.4-2.mga8
+ Revision: 1523086
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 daviddavid <daviddavid> 1.0.4-1.mga7
+ Revision: 1368039
- new version: 1.0.4

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-7.mga7
+ Revision: 1297319
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 akien <akien> 1.0.3-5.mga7
+ Revision: 1124399
- Rebuild for dumb 1.0

* Sun Mar 12 2017 akien <akien> 1.0.3-4.mga6
+ Revision: 1092240
- Rebuild against allegro4

* Sat Feb 13 2016 umeabot <umeabot> 1.0.3-3.mga6
+ Revision: 959565
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 1.0.3-2.mga6
+ Revision: 872436
- rebuild with gcc 5

* Wed Jul 29 2015 akien <akien> 1.0.3-1.mga6
+ Revision: 858964
- Version 1.0.3

* Wed Nov 12 2014 akien <akien> 1.0.2-1.mga5
+ Revision: 796624
- Improve desktop file and add some translations
- imported package ballz

